Page MenuHomePhabricator

Modification of the default alias for namespace 828 "模块:" of Zh Projects
Closed, ResolvedPublic

Description

The default alias for namespace 828 is "模块:" now. With reference with the other namespaces on zh.wikipedia, please modify the default alias of namespace 828 into "Module:". Moreover, it is "模組:" for traditional Chinese (zh-Hant & zh-TW & zh-HK & zh-MO) and "模块:" for simplified Chinese (zh-Hans & zh-CN & zh-SG). Please modify them accordingly. Thank you.

BTW, please also check that whether this bug existed in the MediaWiki program provided from MediaWiki.org

Event Timeline

LNDDYL created this task.May 17 2017, 12:23 PM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptMay 17 2017, 12:23 PM
LNDDYL removed Wong128hk as the assignee of this task.May 17 2017, 12:24 PM
LNDDYL added subscribers: Shangkuanlc, Wong128hk.
Liuxinyu970226 added a subscriber: Anomie.
Liuxinyu970226 added a subscriber: Liuxinyu970226.

Wondering if this user can help you or not?

LNDDYL renamed this task from Modification of the default alias for namespace 828 "模块" of zh.wikipedia" to Modification of the default alias for namespace 828 "模块" of zh.wikipedia.May 17 2017, 12:25 PM
LNDDYL renamed this task from Modification of the default alias for namespace 828 "模块" of zh.wikipedia to Modification of the default alias for namespace 828 "模块:" of zh.wikipedia.May 17 2017, 1:49 PM
LNDDYL updated the task description. (Show Details)
LNDDYL updated the task description. (Show Details)May 17 2017, 2:10 PM
Aklapper removed a subscriber: Anomie.May 24 2017, 1:59 PM

If anybody would like to write the two patches needed for this change:
You are very welcome to use developer access to propose and submit code changes as a Git branch directly into Gerrit.
If you don't want to set up Git/Gerrit, you can also use the Gerrit Patch Uploader.

The file to change in Scribunto would be https://phabricator.wikimedia.org/diffusion/ELUA/browse/master/Scribunto.namespaces.php
The file to change in the WMF server configuration would be https://phabricator.wikimedia.org/source/mediawiki-config/browse/master/wmf-config/InitialiseSettings.php

Liuxinyu970226 updated the task description. (Show Details)EditedJun 22 2017, 11:14 PM

see T156572 for reason of my action

Change 383007 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Modification of the default alias for namespace 828 "模块:" of zh.wikipedia

https://gerrit.wikimedia.org/r/383007

Change 383007 abandoned by Zoranzoki21:
Modification of the default alias for namespace 828 "模块:" of zh.wikipedia

Reason:
I now see to it is already changed.. I will abandon this patch now.

https://gerrit.wikimedia.org/r/383007

Shizhao changed the task status from Open to Stalled.Oct 12 2017, 6:35 AM
Shizhao added a subscriber: Shizhao.
This comment was removed by Shizhao.
Shizhao closed this task as Resolved.Oct 12 2017, 6:37 AM
Shizhao claimed this task.

@Shizhao: How and in which change did this get fixed?

Liuxinyu970226 removed Shizhao as the assignee of this task.EditedOct 12 2017, 10:49 AM

Also, this doesn't seem to be easy, as any possible patches/assigns could accidentally break e.g. $wgNamespacesWithSubpages and $wgNamespaceContentModels.

Maybe this needs more long discussions, as in most languages namespaces are really translated.

RazeSoldier changed the task status from Open to Stalled.Jun 24 2018, 6:33 AM
Xiplus added a subscriber: Xiplus.Nov 28 2018, 1:21 PM
Viztor added a subscriber: Viztor.Jun 14 2019, 3:47 AM

Any update on this? It's kind of inconsistent that all other namespaces are using English while this one is in zh.

No updates, T165593#3679115 is the topic to investigate, I guess...

I'll have a look on this later this week, or the next one.

Does this request have community consensus?

Viztor added a comment.EditedAug 3 2019, 4:50 PM

I'll have a look on this later this week, or the next one.

Have you had any opportunity to look into the code?
AFAIK, this is not an issue with wmf-config, but rather the defaults set in MediaWiki for all zh projects.
The issue seems to be located at https://gerrit.wikimedia.org/r/plugins/gitiles/mediawiki/extensions/Scribunto/+/refs/heads/master/Scribunto.namespaces.php
which is independently translated outside of mediawiki-core

94rain added a subscriber: 94rain.Aug 3 2019, 5:21 PM

Not yet, sorry, will do later (hopefully, today).

Xiplus added a comment.Aug 4 2019, 2:01 AM

Set $wgExtraNamespaces[828] = 'Module'; seems to solve this problem.
Manual:$wgExtraNamespaces: It can also be used to rename the default namespaces.

Viztor added a comment.Aug 4 2019, 5:37 AM
In T165593#5389948, @A2093064 wrote:

Set $wgExtraNamespaces[828] = 'Module'; seems to solve this problem.
Manual:$wgExtraNamespaces: It can also be used to rename the default namespaces.

Sounds like a good fix, do you want to work on it?
Do you think it is possible to make that default for all zh-language wiki?

Viztor added a comment.Aug 4 2019, 5:42 AM

also don't forget 829 for Module_talk

Xiplus added a comment.Aug 5 2019, 1:09 AM

Do you think it is possible to make that default for all zh-language wiki?

Yes. But does this need each community consensus?

Viztor added a comment.EditedAug 5 2019, 1:12 AM
In T165593#5391107, @A2093064 wrote:

Do you think it is possible to make that default for all zh-language wiki?

Yes. But does this need each community consensus?

From a technical perspective, it is quite difficult to deal with non-translated prefix mixed with translated prefix. I feel these issues are best dealt within site configuration, instead of hard-coded in extension whenever possible. This is probably up to MediaWiki-extensions-Scribunto, as this particular case is a change in that extension, rather than a change in our wmf-config. It would be best if we can move that localization setting to wmf-config instead of relying on the translations within the extension.

Viztor added a comment.Aug 6 2019, 6:41 AM

see https://phabricator.wikimedia.org/source/mediawiki/browse/master/languages/messages/MessagesZh.php for existing practice for mediawiki-core, extension should follow these practices, otherwise it could cause confusion.

Today I edited wikipedia, and I found the namespace is still Chinese 模块 while others English like Template.

Sanmosa changed the task status from Stalled to Open.EditedJun 7 2020, 5:08 AM
Sanmosa added a subscriber: Sanmosa.

There is a local discussion on it. It may probably make a consensus.

VulpesVulpes825 changed the task status from Open to Stalled.Jun 7 2020, 5:52 AM
VulpesVulpes825 added a subscriber: VulpesVulpes825.

@Sanmosa, it is only one day since the open of the discussion. It will be best to wait a little bit longer for the discussion, such as one week, for side configuration request.

Change 606768 had a related patch set uploaded (by VulpesVulpes825; owner: VulpesVulpes825):
[mediawiki/extensions/Scribunto@master] Modification of Scribunto alias for Zhwiki

https://gerrit.wikimedia.org/r/606768

VulpesVulpes825 changed the task status from Stalled to Open.Jun 20 2020, 5:49 AM
VulpesVulpes825 claimed this task.
VulpesVulpes825 triaged this task as Medium priority.
VulpesVulpes825 lowered the priority of this task from Medium to Low.
VulpesVulpes825 renamed this task from Modification of the default alias for namespace 828 "模块:" of zh.wikipedia to Modification of the default alias for namespace 828 "模块:" of Zh Projects.Jun 20 2020, 6:11 AM

Change 606769 had a related patch set uploaded (by VulpesVulpes825; owner: VulpesVulpes825):
[operations/mediawiki-config@master] Add zh-hans and zh-hant translation of Module and Module_talk aliases for all Zh Projects

https://gerrit.wikimedia.org/r/606769

Change 606768 abandoned by VulpesVulpes825:
Modification of Scribunto alias for Zh Project

Reason:
Additional changes on Path 606769 should eliminate the need to make the change on extension side.

https://gerrit.wikimedia.org/r/606768

Change 606769 merged by jenkins-bot:
[operations/mediawiki-config@master] Add zh-hans and zh-hant translation of Module and Module_talk aliases for all Zh Projects

https://gerrit.wikimedia.org/r/606769

Mentioned in SAL (#wikimedia-operations) [2020-06-22T11:24:16Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: db952ba: Add zh-hans and zh-hant translation of Module and Module_talk aliases for all Zh Projects (T165593) (duration: 00m 56s)

VulpesVulpes825 closed this task as Resolved.Jun 22 2020, 11:27 AM
VulpesVulpes825 moved this task from Site configuration to Closed on the Chinese-Sites board.

Mentioned in SAL (#wikimedia-operations) [2020-06-22T11:29:01Z] <Urbanecm> Run namespaceDupes.php for zh* projects (T165593)

1Script started on Mon 22 Jun 2020 11:26:38 AM UTC
2urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php --wiki=zhwiki
30 pages to fix, 0 were resolvable.
4
5pagelinks from=935984 ns=0 dbk=WP:沙盒 -> Wikipedia:沙盒 DRY RUN
61 links to fix, 1 were resolvable, 0 were deleted.
7
8Looks good!
9urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php --wiki=zhwiki --fix
100 pages to fix, 0 were resolvable.
11
12pagelinks from=935984 ns=0 dbk=WP:沙盒 -> Wikipedia:沙盒
131 links to fix, 0 were resolvable, 1 were deleted.
14
15Looks good!
16urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php --wiki=zhwiki --fixzhwikibooks
170 pages to fix, 0 were resolvable.
18
19templatelinks from=26099 ns=0 dbk=Template:Outdent -> Template:Outdent DRY RUN
201 links to fix, 1 were resolvable, 0 were deleted.
21
22Looks good!
23urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php --wiki=zhwikibooks --fix
240 pages to fix, 0 were resolvable.
25
26templatelinks from=26099 ns=0 dbk=Template:Outdent -> Template:Outdent
271 links to fix, 1 were resolvable, 0 were deleted.
28
29Looks good!
30urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php --wiki=zhwikiquote
310 pages to fix, 0 were resolvable.
32
33pagelinks from=20478 ns=0 dbk=UT:Edit_Mr. -> User_talk:Edit_Mr. DRY RUN
34templatelinks from=21234 ns=0 dbk=Help:引文格式1错误 -> Help:引文格式1错误 DRY RUN
352 links to fix, 2 were resolvable, 0 were deleted.
36
37Looks good!
38urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php --wiki=zhwikiquote --fix
390 pages to fix, 0 were resolvable.
40
41pagelinks from=20478 ns=0 dbk=UT:Edit_Mr. -> User_talk:Edit_Mr.
42templatelinks from=21234 ns=0 dbk=Help:引文格式1错误 -> Help:引文格式1错误
432 links to fix, 1 were resolvable, 1 were deleted.
44
45Looks good!
46urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php --wiki=zhwikisource
470 pages to fix, 0 were resolvable.
48
49pagelinks from=42303 ns=0 dbk=維基文庫:管理員 -> Wikisource:管理員 DRY RUN
50pagelinks from=1009618 ns=0 dbk=維基文庫:管理員 -> Wikisource:管理員 DRY RUN
51pagelinks from=42303 ns=0 dbk=维基文库:删除投票 -> Wikisource:删除投票 DRY RUN
52pagelinks from=1009618 ns=0 dbk=维基文库:删除投票 -> Wikisource:删除投票 DRY RUN
534 links to fix, 4 were resolvable, 0 were deleted.
54
55Looks good!
56urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php --wiki=zhwikisource --fix
570 pages to fix, 0 were resolvable.
58
59pagelinks from=42303 ns=0 dbk=維基文庫:管理員 -> Wikisource:管理員
60pagelinks from=1009618 ns=0 dbk=維基文庫:管理員 -> Wikisource:管理員
61pagelinks from=42303 ns=0 dbk=维基文库:删除投票 -> Wikisource:删除投票
62pagelinks from=1009618 ns=0 dbk=维基文库:删除投票 -> Wikisource:删除投票
634 links to fix, 2 were resolvable, 2 were deleted.
64
65Looks good!
66urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php --wiki=zhwikiversity
670 pages to fix, 0 were resolvable.
68
690 links to fix, 0 were resolvable, 0 were deleted.
70
71Looks good!
72urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php --wiki=zhwikivoyage
730 pages to fix, 0 were resolvable.
74
750 links to fix, 0 were resolvable, 0 were deleted.
76
77Looks good!
78urbanecm@mwmaint1002:~$ mwscript namespaceDupes.php --wiki=zhwiktionary
790 pages to fix, 0 were resolvable.
80
810 links to fix, 0 were resolvable, 0 were deleted.
82
83Looks good!
84urbanecm@mwmaint1002:~$ exit
85
86Script done on Mon 22 Jun 2020 11:28:54 AM UTC